/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.filemanager.views.item;

import java.util.ArrayList;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

public class BlancoFileManagerProtocolRootItem implements
        IStructuredContentProvider {
    private IStructuredContentProvider[] fileRoots = null;

    public Object[] getElements(final Object inputElement) {
        // 引数は無視して処理を進めます。

        // 現在は file:// のみ対応。
        if (fileRoots == null) {
            // ここでルートを作成します。

            final ArrayList listRoots = new ArrayList();

            // 追加するプロトコルを列挙します。
            listRoots.add(new BlancoFileManagerProtocolFileItem("file://"));
            // TODO ほんとうはローカルファイルではなくftpでなくては…
            listRoots.add(new BlancoFileManagerProtocolFtpItem("ftp://"));

            fileRoots = (IStructuredContentProvider[]) listRoots
                    .toArray(new IStructuredContentProvider[listRoots.size()]);
        }

        return fileRoots;
    }

    public void dispose() {
    }

    public void inputChanged(final Viewer viewer, final Object oldInput,
            final Object newInput) {
    }
}
